import request from '@/utils/request'
import qs from 'qs'

// 分页查询人员列表
export function getStaffList(params) {
  return request({
    url: '/staff/listPage',
    methods: 'get',
    params
  })
}

// 根据部门查询人员列表（不分页）
export function getStaffByDept(params) {
  return request({
    url: '/staff/personListByDeptId',
    method: 'get',
    params
  })
}

// 人员详情
export function detailStaff(id) {
  return request({
    url: '/staff/detail/' + id,
    method: 'get',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
    }
  })
}

export function batchDelStaff(ids) {
  return request({
    url: 'staff/batchDelete',
    method: 'post',
    params: {
      personIds: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}

// 添加人员
export function addPerson(data) {
  return request({
    url: 'staff/add',
    method: 'post',
    data
  })
}

export function editPerson(data) {
  return request({
    url: 'staff/update',
    method: 'post',
    data
  })
}
